org.apache.poi.sl.usermodel

## Enum StrokeStyle.LineCap

- java.lang.Object
- - java.lang.Enum<StrokeStyle.LineCap>
  - - org.apache.poi.sl.usermodel.StrokeStyle.LineCap

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<StrokeStyle.LineCap>
  Enclosing interface:
    StrokeStyle

      public static enum StrokeStyle.LineCap
      extends java.lang.Enum<StrokeStyle.LineCap>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FLAT` Line ends at end point
    `ROUND` Rounded ends
    `SQUARE` Square protrudes by half line width

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `nativeId`
    `int` | `ooxmlId`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StrokeStyle.LineCap` | `fromNativeId(int nativeId)`
    `static StrokeStyle.LineCap` | `fromOoxmlId(int ooxmlId)`
    `static StrokeStyle.LineCap` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static StrokeStyle.LineCap[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ROUND

          public static final StrokeStyle.LineCap ROUND

      Rounded ends

    - #### SQUARE

          public static final StrokeStyle.LineCap SQUARE

      Square protrudes by half line width

    - #### FLAT

          public static final StrokeStyle.LineCap FLAT

      Line ends at end point

  - ### Field Detail

    - #### nativeId

          public final int nativeId

    - #### ooxmlId

          public final int ooxmlId

  - ### Method Detail

    - #### values

          public static StrokeStyle.LineCap[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StrokeStyle.LineCap c : StrokeStyle.LineCap.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StrokeStyle.LineCap valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### fromNativeId

          public static StrokeStyle.LineCap fromNativeId(int nativeId)

    - #### fromOoxmlId

          public static StrokeStyle.LineCap fromOoxmlId(int ooxmlId)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.